Dimension text fill color

Discussion in 'AutoCAD' started by redstepdrafter, Dec 1, 2004.

  1. is there a variable that can be set in lisp that will set the dimensions text fill color to background. It shows up in the dimstyle dialog box in 2005, but I can't find the variable to set it in a lisp routine
     
    redstepdrafter, Dec 1, 2004
    #1
  2. redstepdrafter

    ECCAD Guest

    Variable is "DIMCLRT"
    (setvar "DIMCLRT" 4); set to Cyan

    Bob
     
    ECCAD, Dec 1, 2004
    #2
  3. that variable sets the text color, but I need the "TEXT FILL" color to be set to "Background". Thanks for your attempt though
     
    redstepdrafter, Dec 1, 2004
    #3
  4. redstepdrafter

    ECCAD Guest

    Sorry,
    I have R2005(developer's beta), not released version.
    My "Fill Color" says "None", and does not seem to be active.
    It is greyed out..no matter which 'TextStyle' is set current.
    So, I don't have a clue..Maybe someone else can help.
    :)
    Bob
     
    ECCAD, Dec 1, 2004
    #4
  5. redstepdrafter

    ECCAD Guest

    ;; mtextback.lsp
    ;; Change MText Background to 'True'
    (defun C:mtback (/ e)
    (vl-load-com)
    (setq e (entsel "\nPick Mtext"))
    (setq obj (vlax-ename->vla-object (car e)))
    (vlax-dump-object obj T)
    (princ)
    (vlax-put-property obj 'BackgroundFill -1); set it on
    (vlax-dump-object obj T)
    (princ)
    ); end function
    (C:mtback)

    Load this, pick some Mtext. Should set the property 'BackgroundFill' to (-1) .. Yes.. Default is (0) .. No..
    This merely specifies to use Background Mask - yes or no, as
    found in the properties pallette. There seems to be no setting
    for this 'background mask' color..

    Bob
     
    ECCAD, Dec 1, 2004
    #5
  6. that is very helpfull
    thanks

    Do you have any idea what would need to change to make it sellect the last entity automatically
     
    redstepdrafter, Dec 1, 2004
    #6
  7. redstepdrafter

    ECCAD Guest

    We can get the 'last' entity fairly easily, but before
    that lesson, what is it you are attempting to do..and,
    do you want to 'filter' to include just "MText", or ??

    Bob
     
    ECCAD, Dec 1, 2004
    #7
  8. I plan to add what you showed me to a routine that inserts a qleader with a set mtext . I need it to set the background as soon as it inserts the mtext. Instead of sellecting it after the qleaders are all inserted.

    Thanks again for your help
     
    redstepdrafter, Dec 1, 2004
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.